<template>
<div class="search">
  <label>Stagiaire</label>
   <fieldset>
      <input placeholder="Prénom de l'alternant" type="text" tabindex="1" required autofocus v-model="nom">
    </fieldset>
     <fieldset>
      <input placeholder="Nom de l'alternant" type="text" tabindex="1" required v-model="prenom">
    </fieldset>
     <fieldset>
      <input placeholder="Date de naissance" type="date" tabindex="1" v-model="dateNaissance">
    </fieldset>
     <fieldset>
      <input placeholder="Département de naissance (F)" type="text" tabindex="1" required v-model="departement">
    </fieldset>
   <fieldset>
      <button name="Rechercher"  @click="search()">Rechercher</button>
    </fieldset>

    <div v-show="false">
      <p>Loading: {{ getContrats.loading }}</p>
      <p>Error: {{ getContrats.error }}</p>
    </div>
</div>
</template>

<script>
import { ref } from "vue";
import contratsService from "@/services/contratsService.js";
import usePromise from "@/composables/use-promise";
export default {
  name: "Search",
  setup() {
    const nom = ref(null);
    const prenom = ref(null);
    const dateNaissance = ref(null);
    const departement = ref(null);
    const getContrats = usePromise((nom, prenom, dateNaissance, departement) =>
      contratsService.getContrats(
        nom.value,
        prenom.value,
        dateNaissance.value,
        departement.value
      )
    );

    function search() {
      if (
        nom.value != "" &&
        prenom.value != "" &&
        dateNaissance.value != "" &&
        departement.value != ""
      ) {
        getContrats.createPromise(nom, prenom, dateNaissance, departement);

        this.$emit("setcontrats", getContrats.results);
      } else {
        getContrats.results.value = null;
      }
    }

    return {
      getContrats,
      search,
      nom,
      prenom,
      dateNaissance,
      departement,
    };
  },
};
</script>

<style scoped>
@import url(
  https://fonts.googleapis.com/css?family=Roboto:400,
  300,
  600,
  400italic
);

.container {
  max-width: 400px;
  width: 100%;
  margin: 0 auto;
  position: relative;
}

#contact input[type="text"],
#contact input[type="email"],
#contact input[type="tel"],
#contact input[type="url"],
#contact textarea,
#contact button[type="submit"] {
  font: 400 12px/16px "Roboto", Helvetica, Arial, sans-serif;
}

#contact {
  background: #f9f9f9;
  padding: 25px;
  margin: 150px 0;
}

#contact h3 {
  display: block;
  font-size: 30px;
  font-weight: 300;
  margin-bottom: 10px;
}

#contact h4 {
  margin: 5px 0 15px;
  display: block;
  font-size: 13px;
  font-weight: 400;
}

fieldset {
  border: medium none !important;
  margin: 0 0 10px;
  min-width: 100%;
  padding: 0;
  width: 100%;
}

#contact input[type="text"],
#contact input[type="email"],
#contact input[type="tel"],
#contact input[type="url"],
#contact textarea {
  width: 100%;
  border: 1px solid #ccc;
  background: #fff;
  margin: 0 0 5px;
  padding: 10px;
}

#contact input[type="text"]:hover,
#contact input[type="email"]:hover,
#contact input[type="tel"]:hover,
#contact input[type="url"]:hover,
#contact textarea:hover {
  -webkit-transition: border-color 0.3s ease-in-out;
  -moz-transition: border-color 0.3s ease-in-out;
  transition: border-color 0.3s ease-in-out;
  border: 1px solid #aaa;
}

#contact textarea {
  height: 100px;
  max-width: 100%;
  resize: none;
}

#contact button[type="submit"] {
  cursor: pointer;
  width: 100%;
  border: none;
  background: #4caf50;
  color: #fff;
  margin: 0 0 5px;
  padding: 10px;
  font-size: 15px;
}

#contact button[type="submit"]:hover {
  background: #43a047;
  -webkit-transition: background 0.3s ease-in-out;
  -moz-transition: background 0.3s ease-in-out;
  transition: background-color 0.3s ease-in-out;
}

#contact button[type="submit"]:active {
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5);
}

.copyright {
  text-align: center;
}

#contact input:focus,
#contact textarea:focus {
  outline: 0;
  border: 1px solid #aaa;
}

::-webkit-input-placeholder {
  color: darkslategray;
}

:-moz-placeholder {
  color: darkslategray;
}

::-moz-placeholder {
  color: darkslategray;
}

:-ms-input-placeholder {
  color: darkslategray;
}

::::placeholder {
  color: darkslategray;
}

input {
  background-color: transparent;
  border: 0;
  border-bottom: 1px solid #ced4da;
  border-radius: 0;
  width: 200px;
}
.search {
  border: dotted black 2px;
  display: inline-block;
  padding: 10px;
  border-radius: 5px;
}
.search label {
  display: block;
  float: left;
  margin-top: -30px;
  background: #76b852;
  padding: 2px 5px 2px 5px;
  overflow: hidden;
  font-size: 20px;
  color: black;
  opacity: 1;
  font-weight: 400;
  font-family: "Roboto", sans-serif;
}
</style>
